from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Directory, Int

Galah_Cluster_V0_1_0 = CommandToolBuilder(tool="galah_cluster", base_command=["galah", "cluster"], inputs=[ToolInput(tag="in_quality_formula", input_type=String(optional=True), prefix="--quality-formula", doc=InputDocumentation(doc="")), ToolInput(tag="in_pre_cluster_method", input_type=String(optional=True), prefix="--precluster-method", doc=InputDocumentation(doc="")), ToolInput(tag="in_pre_cluster_ani", input_type=String(optional=True), prefix="--precluster-ani", doc=InputDocumentation(doc="")), ToolInput(tag="in_output_representative_list", input_type=String(optional=True), prefix="--output-representative-list", doc=InputDocumentation(doc="")), ToolInput(tag="in_output_representative_fast_a_directory_copy", input_type=Directory(optional=True), prefix="--output-representative-fasta-directory-copy", doc=InputDocumentation(doc="")), ToolInput(tag="in_output_representative_fast_a_directory", input_type=Directory(optional=True), prefix="--output-representative-fasta-directory", doc=InputDocumentation(doc="")), ToolInput(tag="in_output_cluster_definition", input_type=String(optional=True), prefix="--output-cluster-definition", doc=InputDocumentation(doc="")), ToolInput(tag="in_min_completeness", input_type=Int(optional=True), prefix="--min-completeness", doc=InputDocumentation(doc="")), ToolInput(tag="in_min_aligned_fraction", input_type=Int(optional=True), prefix="--min-aligned-fraction", doc=InputDocumentation(doc="")), ToolInput(tag="in_max_contamination", input_type=Int(optional=True), prefix="--max-contamination", doc=InputDocumentation(doc="")), ToolInput(tag="in_genome_fast_a_extension", input_type=String(optional=True), prefix="--genome-fasta-extension", doc=InputDocumentation(doc="")), ToolInput(tag="in_fragment_length", input_type=Int(optional=True), prefix="--fragment-length", doc=InputDocumentation(doc="")), ToolInput(tag="in_ani", input_type=String(optional=True), prefix="--ani", doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_output_representative_fast_a_directory_copy", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_output_representative_fast_a_directory_copy", type_hint=File()), doc=OutputDocumentation(doc="")), ToolOutput(tag="out_output_representative_fast_a_directory", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_output_representative_fast_a_directory", type_hint=File()), doc=OutputDocumentation(doc=""))], container="quay.io/biocontainers/galah:0.3.0--h516909a_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Galah_Cluster_V0_1_0().translate("wdl")

